Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692678 - Can not execute the script checksetup.pl successfully
Summary: Can not execute the script checksetup.pl successfully
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Administration
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 08:44 UTC by Rony Gong 🔥
Modified: 2019-03-31 23:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-31 23:38:41 UTC


Attachments (Terms of Use)

Description Rony Gong 🔥 2019-03-26 08:44:09 UTC
Description of problem:
Can not execute the script checksetup.pl successfully

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.ansible-playbook -v playbooks/rolling_update.yml --limit=qe-pek2 -e "show_changes=False" -e "cron_ldap_terminate=False"
2.
3.

Actual results:
TASK [web5 : run upgrade script] **********************************************************************************************************************************************************************************
Tuesday 26 March 2019  16:37:58 +0800 (0:00:06.544)       0:02:49.012 ********* 
fatal: [bz-web.host.qe.eng.pek2.redhat.com]: FAILED! => {"changed": true, "cmd": ["./checksetup.pl", "answers.pl"], "delta": "0:00:37.728508", "end": "2019-03-26 08:38:36.278480", "msg": "non-zero return code", "rc": 2, "start": "2019-03-26 08:37:58.549972", "stderr": "defined(@array) is deprecated at /usr/share/perl5/vendor_perl/Chart/Base.pm line 181.\n\t(Maybe you should just omit the defined()?)\ndefined(@array) is deprecated at /usr/share/perl5/vendor_perl/Chart/Base.pm line 233.\n\t(Maybe you should just omit the defined()?)\nEither the product with the id 559 does not exist or you don't have\naccess to it.", "stderr_lines": ["defined(@array) is deprecated at /usr/share/perl5/vendor_perl/Chart/Base.pm line 181.", "\t(Maybe you should just omit the defined()?)", "defined(@array) is deprecated at /usr/share/perl5/vendor_perl/Chart/Base.pm line 233.", "\t(Maybe you should just omit the defined()?)", "Either the product with the id 559 does not exist or you don't have", "access to it."], "stdout": "Removing old bug status transitions...\nNow filling the 'status_workflow' table with valid bug status transitions for Red Hat...", "stdout_lines": ["Removing old bug status transitions...", "Now filling the 'status_workflow' table with valid bug status transitions for Red Hat..."]}


Expected results:


Additional info:

Comment 1 Jeff Fearn 🐞 2019-03-26 09:11:11 UTC
This isn't a bug as such, it's just that field requires a product you don't have in your dump yet. I ssh'd in and made it work.


Note You need to log in before you can comment on or make changes to this bug.